Debian Bug report logs - #661591
packages providing ifupdown scripts must have those scripts fixed if needed

Package: ifupdown; Maintainer for ifupdown is Andrew Shadura <andrewsh@debian.org>; Source for ifupdown is src:ifupdown.

Reported by: "Andrew O. Shadura" <bugzilla@tut.by>

Date: Tue, 28 Feb 2012 10:27:02 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#661591; Package general. (Tue, 28 Feb 2012 10:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andrew O. Shadura" <bugzilla@tut.by>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org. (Tue, 28 Feb 2012 10:27:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Andrew O. Shadura" <bugzilla@tut.by>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: packages providing ifupdown scripts must have those scripts fixed if needed
Date: Tue, 28 Feb 2012 11:24:43 +0100
Package: general
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Starting with the last beta, ifupdown calls run-parts for if-*.d scripts
with --exit-on-error, so if the script fails, interface isn't marked as
configured (see #547587).

However, it's been reported that some scripts return wrong exit codes
sometimes, causing failure during network configuration.

Here's the list of packages providing ifupdown scripts:

 * avahi-autoipd
 * avahi-daemon
 * bind9
 * bridge-utils
 * clamav-freshclam
 * controlaula
 * epoptes-client
 * ethtool
 * firestarter
 * gogoc
 * hostapd
 * hostap-utils
 * ifenslave-2.6
 * ifmetric
 * ifupdown-extra
 * ifupdown-scripts-zg2
 * initscripts
 * isatapd
 * linux-wlan-ng
 * lprng
 * ltsp-server
 * masqmail
 * miredo
 * ntpdate
 * openntpd
 * openssh-server
 * openvpn
 * postfix
 * resolvconf
 * samba
 * sendmail-base
 * shorewall-init
 * slrn
 * slrnpull
 * tinc
 * tipcutils
 * ucarp
 * uml-utilities
 * vde2
 * vlan
 * vzctl
 * whereami
 * wide-dhcpv6-client
 * wireless-tools
 * wpasupplicant

I'd like to ask maintainers to check scripts in their packages, and
fix issues they find if there are any.

Thanks in advance.

- -- 
WBR, Andrew

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQIcBAEBCAAGBQJPTKtrAAoJEOJBhVAE1nf8LScP/2i/efgo/TCTHcb3KMlKWdYO
uoagL18Anc822Ub+wT0Veh3rUoym2gC7HlNOu3eNB+Wxdr0kia8fmJcOb58jU+Ey
z4xIP0WCnAQB7do+9aT6/q8wHVwGjdLtXdy/PUpUOc6vsxNv2Rad4fB8U+dqFz9W
9pW8QJHntx6rtjHQ3gX00TgNgVdXuYnPpFKjHVCmSGcHWSyqu4ZSFFpNhAL5E0ed
s7jOXemYCSluWFVKusLS0sZrB8eCh3Z6SjArT55C7mNGdjk+QERyJ5QQf9QmETcV
ER6NtN/QYWWMHkhi15PW/Gt/AbcH2d2RBjUF8fBt3mxJB0k68QXxDwBFijcIefiI
cW10Sp4DG7dcrqwbdfqfohzh3dokczvLxPyL2FiONBR0d/JYY6oSYqfi0ily3bww
R15mkbJ7+ybk7KtBJfMD2twVwxOwS9cf7cFV2UhJUdLsij7ru1yJI6jS0K9UIogh
mH//qxR3Z63vqUGV1/vAuULqAvhZKoYh4HV1znPTC8QvwsYE7Gfbb7ES+vg7/2yp
PYSTWeSh2bSj/fygLWQdrvK3BbQZ3Fy60ABnzyg5yUbHGyslTy/sRqsPgW+wEXFv
fQ2+5uTkaIba41QwJ9t7elkiav7GfkRyziVIhh6vwJmIQHtW02Y4+G85xJDhVJUL
pR+hbLsvwf8mh23uxtr7
=izP3
-----END PGP SIGNATURE-----




Added indication that 661591 affects lprng, resolvconf, tipcutils, masqmail, uml-utilities, bind9, openssh-server, postfix, miredo, avahi-daemon, openntpd, openvpn, ifupdown-scripts-zg2, ifmetric, wpasupplicant, linux-wlan-ng, ifenslave-2.6, hostap-utils, samba, clamav-freshclam, avahi-autoipd, controlaula, tinc, vzctl, isatapd, gogoc, vde2, ethtool, wireless-tools, shorewall-init, ifupdown-extra, slrnpull, vlan, sendmail-base, ntpdate, wide-dhcpv6-client, whereami, hostapd, ltsp-server, initscripts, ucarp, slrn, bridge-utils, epoptes-client, and firestarter Request was from Andrew O. Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Tue, 28 Feb 2012 10:46:32 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#661591; Package general. (Tue, 28 Feb 2012 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Tue, 28 Feb 2012 19:30:03 GMT) Full text and rfc822 format available.

Message #12 received at 661591@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: "Andrew O. Shadura" <bugzilla@tut.by>, 661591@bugs.debian.org
Subject: Re: Bug#661591: packages providing ifupdown scripts must have those scripts fixed if needed
Date: Tue, 28 Feb 2012 11:27:37 -0800
[Message part 1 (text/plain, inline)]
Hi Andrew,

On Tue, Feb 28, 2012 at 11:24:43AM +0100, Andrew O. Shadura wrote:
> Starting with the last beta, ifupdown calls run-parts for if-*.d scripts
> with --exit-on-error, so if the script fails, interface isn't marked as
> configured (see #547587).

> However, it's been reported that some scripts return wrong exit codes
> sometimes, causing failure during network configuration.

My doubt here is: what is the definition of a *right* exit code now, from
ifupdown's POV?  When is it appropriate for a hook which has failed to exit
non-zero?

This is a pretty significant change in behavior from the perspective of the
packages providing hooks, as it means that they now have to avoid giving
meaningful exit codes in order to not cause ifupdown to fail to run
subsequent hooks.  OTOH, there might be cases where that's beneficial
because it lets a critical hook declare that an interface bring-up hasn't
succeeded and the interface bring-up should be rolled back so the admin can
try again.  But how do we define "critical" hooks?

I would appreciate seeing some more guidance here for hook maintainers.  As
you may be aware, Ubuntu is using ifupdown 0.7beta2 for its next release,
and has had to revert this particular behavior change because it made
networking significantly more brittle.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#661591; Package general. (Tue, 28 Feb 2012 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Tue, 28 Feb 2012 21:51:04 GMT) Full text and rfc822 format available.

Message #17 received at 661591@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 661591@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#661591: packages providing ifupdown scripts must have those scripts fixed if needed
Date: Tue, 28 Feb 2012 22:37:29 +0100
reassign 661591 ifupdown
thanks

Hi,

just from what I've read in those two replies to this bug yet, I think I agree 
that this change should be reverted.

And if you really want/need/do this change which needs changes in 30 (or so) 
other packages, then please file 30 bugs against those package and then use 
these bugs as blockers against one bug for tracking. (And I'd prefer this bug 
to be one against ifupdown and not general, but YMMV.) 
But, definitly, filing a bug against general saying these and these package 
need to be fixed wont do it. 


cheers,
	Holger




Bug reassigned from package 'general' to 'ifupdown'. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Tue, 28 Feb 2012 21:51:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#661591; Package ifupdown. (Tue, 28 Feb 2012 21:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Tue, 28 Feb 2012 21:57:09 GMT) Full text and rfc822 format available.

Message #24 received at 661591@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Holger Levsen <holger@layer-acht.org>, 661591@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#661591: packages providing ifupdown scripts must have those scripts fixed if needed
Date: Tue, 28 Feb 2012 22:54:38 +0100
[Message part 1 (text/plain, inline)]
Hello,

On Tue, 28 Feb 2012 22:37:29 +0100
Holger Levsen <holger@layer-acht.org> wrote:

> just from what I've read in those two replies to this bug yet, I
> think I agree that this change should be reverted.

> And if you really want/need/do this change which needs changes in 30
> (or so) other packages, then please file 30 bugs against those
> package and then use these bugs as blockers against one bug for
> tracking. (And I'd prefer this bug to be one against ifupdown and not
> general, but YMMV.) But, definitly, filing a bug against general
> saying these and these package need to be fixed wont do it. 

It does NOT involve all of those packages directly. Most of them do
things correctly, some don't. That's why I've asked all the maintainers
to do checks needed, just to make it easier, so people review their
packages only and don't go into deep of others' packages.

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#661591; Package ifupdown. (Tue, 28 Feb 2012 22:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Tue, 28 Feb 2012 22:30:03 GMT) Full text and rfc822 format available.

Message #29 received at 661591@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Andrew Shadura <bugzilla@tut.by>
Cc: Holger Levsen <holger@layer-acht.org>, 661591@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#661591: packages providing ifupdown scripts must have those scripts fixed if needed
Date: Tue, 28 Feb 2012 14:27:15 -0800
[Message part 1 (text/plain, inline)]
On Tue, Feb 28, 2012 at 09:09:22PM +0100, Andrew Shadura wrote:
> On Tue, 28 Feb 2012 11:27:37 -0800
> Steve Langasek <vorlon@debian.org> wrote:

> > > However, it's been reported that some scripts return wrong exit
> > > codes sometimes, causing failure during network configuration.

> > My doubt here is: what is the definition of a *right* exit code now,
> > from ifupdown's POV?  When is it appropriate for a hook which has
> > failed to exit non-zero?

> When failure to execute a hook leads to interface being non-operational.

Yes, that's probably a reasonable threshold.  What should packages like
miredo and wide-dhcpv6-client do?  Both of these hooks have to do with
routing information; if an interface comes up but the hook fails, the
interface may be operational but not actually routing traffic to the
networks the user cares about reaching.  Should these hooks exit non-zero on
failure, or not?

Could this guidance be included in the ifupdown documentation as a clue to
maintainers?

> > This is a pretty significant change in behavior from the perspective
> > of the packages providing hooks, as it means that they now have to
> > avoid giving meaningful exit codes in order to not cause ifupdown to
> > fail to run subsequent hooks.  OTOH, there might be cases where
> > that's beneficial because it lets a critical hook declare that an
> > interface bring-up hasn't succeeded and the interface bring-up should
> > be rolled back so the admin can try again.  But how do we define
> > "critical" hooks?

> This isn't a change in behaviour at all.

Er, it most certainly is.  You may argue that the previous behavior was
*wrong*, but it's just plain false to say that the behavior isn't changing.

And the change is incompatible with at least some existing hook scripts,
which means it's incumbent on you as the ifupdown maintainer to coordinate
this behavior change with the maintainers of those other packages.  *Not*
just filing a bug on "general", but actually following through on this
transition to make sure things get fixed as needed.

On Tue, Feb 28, 2012 at 10:54:38PM +0100, Andrew Shadura wrote:
> > And if you really want/need/do this change which needs changes in 30
> > (or so) other packages, then please file 30 bugs against those
> > package and then use these bugs as blockers against one bug for
> > tracking. (And I'd prefer this bug to be one against ifupdown and not
> > general, but YMMV.) But, definitly, filing a bug against general
> > saying these and these package need to be fixed wont do it. 

> It does NOT involve all of those packages directly. Most of them do
> things correctly, some don't. That's why I've asked all the maintainers
> to do checks needed, just to make it easier, so people review their
> packages only and don't go into deep of others' packages.

A bug filed against "general" is not an appropriate means of notifying
package maintainers of anything at all.  "general" bugs are sent to
debian-devel, which maintainers are not required to follow.

I think Holger is right that this needs to be done as a mass bug filing or
other coordinated effort to review all of the hooks.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#661591; Package ifupdown. (Tue, 28 Feb 2012 22:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Tue, 28 Feb 2012 22:48:03 GMT) Full text and rfc822 format available.

Message #34 received at 661591@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Steve Langasek <vorlon@debian.org>
Cc: Holger Levsen <holger@layer-acht.org>, 661591@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#661591: packages providing ifupdown scripts must have those scripts fixed if needed
Date: Tue, 28 Feb 2012 23:44:26 +0100
[Message part 1 (text/plain, inline)]
Hello,

On Tue, 28 Feb 2012 14:27:15 -0800
Steve Langasek <vorlon@debian.org> wrote:

> > When failure to execute a hook leads to interface being
> > non-operational.

> Yes, that's probably a reasonable threshold.  What should packages
> like miredo and wide-dhcpv6-client do?  Both of these hooks have to
> do with routing information; if an interface comes up but the hook
> fails, the interface may be operational but not actually routing
> traffic to the networks the user cares about reaching.  Should these
> hooks exit non-zero on failure, or not?

Probably they should.

> Could this guidance be included in the ifupdown documentation as a
> clue to maintainers?

The problem is that it's entirely up to the maintainer of an
appropriate package; ifupdown doesn't really care what the hook script
is doing, so it's script maintainer who should decide if this
particular failure can be ignored (probably, with a warning) or if it's
critical.

> > This isn't a change in behaviour at all.

> Er, it most certainly is.  You may argue that the previous behavior
> was *wrong*, but it's just plain false to say that the behavior isn't
> changing.

There was a bug in ifupdown, but scripts must have been written with
this behaviour in mind.

> And the change is incompatible with at least some existing hook
> scripts, which means it's incumbent on you as the ifupdown maintainer
> to coordinate this behavior change with the maintainers of those
> other packages.  *Not* just filing a bug on "general", but actually
> following through on this transition to make sure things get fixed as
> needed.

Obviously I want this process to happen, but as a start a bug must be
filed, so discussion can start, no? I understand this exactly this way.

> > It does NOT involve all of those packages directly. Most of them do
> > things correctly, some don't. That's why I've asked all the
> > maintainers to do checks needed, just to make it easier, so people
> > review their packages only and don't go into deep of others'
> > packages.

> A bug filed against "general" is not an appropriate means of notifying
> package maintainers of anything at all.  "general" bugs are sent to
> debian-devel, which maintainers are not required to follow.

The idea was to make an announcement and to have some kind of a central
point where the status can be seen. Also, I don't feel it a good idea
to file bugs against packages not having them, and I can't physically
check all the packages on my own to decide if they have bugs or not.
Debian-devel seems to be the best place for this, I think.

> I think Holger is right that this needs to be done as a mass bug
> filing or other coordinated effort to review all of the hooks.

I'm open to suggestions how to perform this better; I tried to review
the packages from that list, but it's no easy task for me as I do not
maintain any of them, so I can easily miss some important detail.

That's why I asked for help here. Also, I wasn't going to push that
particular change until I'm sure that at least the most of the packages
don't have any problems with this.

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#661591; Package ifupdown. (Tue, 28 Feb 2012 23:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Tue, 28 Feb 2012 23:09:11 GMT) Full text and rfc822 format available.

Message #39 received at 661591@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 661591@bugs.debian.org
Subject: Re: Bug#661591: packages providing ifupdown scripts must have those scripts fixed if needed
Date: Wed, 29 Feb 2012 00:04:24 +0100
Hi Andrew,

On Dienstag, 28. Februar 2012, Andrew Shadura wrote:
> Obviously I want this process to happen, but as a start a bug must be
> filed, so discussion can start, no? I understand this exactly this way.

Yes, use this bug to track all the other bugs you (and others) will be filing. 
then use

block 661591 by 123456

and send this to control@bugs.d.o.

Then you can use 661591 to track the change you're planning to introduce. It's 
eg displayed in the bugs webpage.

> point where the status can be seen. Also, I don't feel it a good idea
> to file bugs against packages not having them, and I can't physically
> check all the packages on my own to decide if they have bugs or not.

I dont understand what you mean you cannot check 30 packages (or how many were 
on your initial list? not much more, iirc) on your own physically. Sounds like 
3h work or such, maybe 6h. Or 9h. But surely something you can do ;-)

On Dienstag, 28. Februar 2012, Andrew Shadura wrote:
> but rather a number of bugs in some of the packages in the list.

then please file bugs.


and thanks for maintaining ifupdown,
cheers! 
	Holger




Removed indication that 661591 affects openntpd Request was from Ulises Vitulli <dererk@master.debian.org> to control@bugs.debian.org. (Tue, 06 Mar 2012 00:33:02 GMT) Full text and rfc822 format available.

Removed indication that 661591 affects resolvconf Request was from Thomas Hood <jdthood@gmail.com> to control@bugs.debian.org. (Wed, 02 May 2012 07:45:18 GMT) Full text and rfc822 format available.

Removed indication that 661591 affects samba Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Fri, 18 May 2012 15:39:06 GMT) Full text and rfc822 format available.

Added indication that bug 661591 blocks 547587 Request was from Andrew O. Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Mon, 21 May 2012 12:35:28 GMT) Full text and rfc822 format available.

Added indication that bug 661591 blocks 562962 Request was from Andrew O. Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Sun, 27 May 2012 21:48:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from markus schnalke <meillo@marmaro.de> to control@bugs.debian.org. (Sat, 09 Jun 2012 09:12:55 GMT) Full text and rfc822 format available.

Reply sent to Steffen Rumberger <inne@sdfeu.org>:
You have taken responsibility. (Tue, 19 Jun 2012 16:51:11 GMT) Full text and rfc822 format available.

Notification sent to "Andrew O. Shadura" <bugzilla@tut.by>:
Bug acknowledged by developer. (Tue, 19 Jun 2012 16:51:11 GMT) Full text and rfc822 format available.

Message #56 received at 661591-close@bugs.debian.org (full text, mbox):

From: Steffen Rumberger <inne@sdfeu.org>
To: 661591-close@bugs.debian.org
Subject: Bug#661591: fixed in masqmail 0.3.4-1
Date: Tue, 19 Jun 2012 16:48:46 +0000
Source: masqmail
Source-Version: 0.3.4-1

We believe that the bug you reported is fixed in the latest version of
masqmail, which is due to be installed in the Debian FTP archive:

masqmail_0.3.4-1.debian.tar.gz
  to main/m/masqmail/masqmail_0.3.4-1.debian.tar.gz
masqmail_0.3.4-1.dsc
  to main/m/masqmail/masqmail_0.3.4-1.dsc
masqmail_0.3.4-1_amd64.deb
  to main/m/masqmail/masqmail_0.3.4-1_amd64.deb
masqmail_0.3.4.orig.tar.gz
  to main/m/masqmail/masqmail_0.3.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 661591@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steffen Rumberger <inne@sdfeu.org> (supplier of updated masqmail package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 27 May 2012 14:30:42 +0200
Source: masqmail
Binary: masqmail
Architecture: source amd64
Version: 0.3.4-1
Distribution: unstable
Urgency: low
Maintainer: Steffen Rumberger <inne@sdfeu.org>
Changed-By: Steffen Rumberger <inne@sdfeu.org>
Description: 
 masqmail   - mail transport agent for intermittently connected hosts
Closes: 212852 349211 432793 661591 674666
Changes: 
 masqmail (0.3.4-1) unstable; urgency=low
 .
   * New upstream release. (Closes: #349211)
   * New Maintainer: Steffen Rumberger maintains the package now with
     the help of Markus Schnalke.
   * New init-script based on skeleton.
     - Also converted to lsb fancy boot messages. (Closes: #674666)
   * Switch to source format 3.0 (quilt) and Debhelper compatibility
     level 9.
   * Set Standards-Version to 3.9.3
   * No more use of Debconf for the configuration. The new upstream
     version makes a minimal static configuration file possible.
   * Fixed removal of user-created data on package purge.
   * Ifupdown hooks are not installed by default anymore. (Closes:
     #212852, #661591)
   * Stop handling inetd. The MTA can assume to have the SMTP port
     reserved for it. (Closes: #432793)
Checksums-Sha1: 
 9565f7b3c674c589117cafa0b124aa7ce6381c8a 1976 masqmail_0.3.4-1.dsc
 2509f14704626d74481a826a0dda21cc3742dca8 255824 masqmail_0.3.4.orig.tar.gz
 c47ef44f2f62ffc973b09fb6a3bee938ef9dfbe4 18959 masqmail_0.3.4-1.debian.tar.gz
 562764bffd5f19048d44fa1fa1e6c2b91ecd96d0 141612 masqmail_0.3.4-1_amd64.deb
Checksums-Sha256: 
 e6db2dbd9b83bc7079557ad8d80678771f04317e09050f06d7dc8518e48355a6 1976 masqmail_0.3.4-1.dsc
 1f0db635febc4fa8336a0645f444faf26c9db346d5056f9367206265c83cc06c 255824 masqmail_0.3.4.orig.tar.gz
 ada19c3c500f52d77bafe44dd223f185ec7685ca8d6705a63bc442f05dee6ee0 18959 masqmail_0.3.4-1.debian.tar.gz
 9251469bb6933be5aec6ee897c12590fa5de73860a72b5533b5f6660246dd0d2 141612 masqmail_0.3.4-1_amd64.deb
Files: 
 f8fa2bcd042b62f03efeb9f7a41d8113 1976 mail extra masqmail_0.3.4-1.dsc
 551bd887c71d7b8f3bb149b617adb1b3 255824 mail extra masqmail_0.3.4.orig.tar.gz
 2f503233b8845ed50b50cd567ac6f666 18959 mail extra masqmail_0.3.4-1.debian.tar.gz
 162c14341e6d37c57cb7a60b04c18dee 141612 mail extra masqmail_0.3.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJP4KuwAAoJEOCD7BUSMcRl3eYP/15DJNzsVf5m/RqcAWOAH7eP
QIcGiWZMoy1EbYfWWoE7WHsn80BvDjC/X36daOo9mGjRdO28z0mg0+DzlKFrVr/Q
tN1MGyL/P5Qadf1rdGAXAZa+Hcb0JnWbvwOCJGl4026hm0joAHUX+LpMcrUDprYm
rNJAAam9aArW/mpoylw/54xwol1YG8Wwg1eLaipJCJgjbmPNcIwKNbynJXuuumyB
eppHa5mcnRnnI1NBf1I+qHXFi++mfHgc6460JvvGCwRrf2Z89ReQalyZLKJsAvT8
nx0SQmPL36Ly7FSnsVRmU9591sXQn/IAMeNN08LMRWr290+ffFIWnvh8KF7eYRRT
+XG9NHoI9If5YrWtpEXn+D8QXG+lViZNqH1ZSA6N4ns29MhvI2nvB9W/3VDCcHHs
m9Ag0gNUdpv8flXd1gWQIwyWN1d5TqLy4oh5y7YAhKnu0CbDsSCHtwePK8P2upNk
7ubJiOBOZMCxCDizR5QhuqFD6KhKbXQOT5UGXbJzC25X2eWd+njqvQJZDIGvEa4A
Tr3+WpX6WeKIgWHCqc9u8CVzb0EnFtdsdd19UcywQ1b6NzvsGD61zMhG9FfqOll6
85FU1/cUe4UrSyOag+ZN0NXRI+jGEGBGS8/0M7N3g2nC7GSLPWqnejiN2YwBjN1c
m5co5wp+pn57WEq/OXUp
=aQgg
-----END PGP SIGNATURE-----





Bug reopened Request was from Andrew O. Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Tue, 19 Jun 2012 18:09:13 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions masqmail/0.3.4-1. Request was from Andrew O. Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Tue, 19 Jun 2012 18:09:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#661591; Package ifupdown. (Sat, 23 Jun 2012 10:54:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to markus schnalke <meillo@marmaro.de>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Sat, 23 Jun 2012 10:54:16 GMT) Full text and rfc822 format available.

Message #65 received at 661591@bugs.debian.org (full text, mbox):

From: markus schnalke <meillo@marmaro.de>
To: Andrew Shadura <bugzilla@tut.by>
Cc: 661591@bugs.debian.org
Subject: Bug #661591: packages providing ifupdown scripts must have those scripts fixed if needed
Date: Sat, 23 Jun 2012 12:30:09 +0200
Andrew,

why do you think bug #661591 is not fixed?

Was it this missleading changelog message:

	Ifupdown hooks are not installed by default anymore.

Or do you have other reasons?

Masqmail-0.3.4-1 doesn't install ifupdown hooks at all. Actually, it
does not at all interface ifupdown anymore.

Is there any reason why this bug should not be considered fixed?


meillo




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#661591; Package ifupdown. (Sat, 23 Jun 2012 18:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Sat, 23 Jun 2012 18:48:03 GMT) Full text and rfc822 format available.

Message #70 received at 661591@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: markus schnalke <meillo@marmaro.de>
Cc: 661591@bugs.debian.org
Subject: Re: Bug #661591: packages providing ifupdown scripts must have those scripts fixed if needed
Date: Sat, 23 Jun 2012 20:44:35 +0200
[Message part 1 (text/plain, inline)]
Hello,

On Sat, 23 Jun 2012 12:30:09 +0200
markus schnalke <meillo@marmaro.de> wrote:

> Or do you have other reasons?

Obviously, because it wasn't filed against masqmail.

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#661591; Package ifupdown. (Sat, 23 Jun 2012 20:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to markus schnalke <meillo@marmaro.de>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Sat, 23 Jun 2012 20:03:06 GMT) Full text and rfc822 format available.

Message #75 received at 661591@bugs.debian.org (full text, mbox):

From: markus schnalke <meillo@marmaro.de>
To: Andrew Shadura <bugzilla@tut.by>
Cc: 661591@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug #661591: packages providing ifupdown scripts must have those scripts fixed if needed
Date: Sat, 23 Jun 2012 21:58:38 +0200
affects 661591 - masqmail
thanks

[2012-06-23 20:44] Andrew Shadura <bugzilla@tut.by>
> On Sat, 23 Jun 2012 12:30:09 +0200
> markus schnalke <meillo@marmaro.de> wrote:
> 
> > Or do you have other reasons?
> 
> Obviously, because it wasn't filed against masqmail.

Oh, now I see. Seems as if I am not enough used to the Debian BTS.

I'll only remove masqmail from being affected by the bug.

Sorry for the inconvenience.


meillo




Removed indication that 661591 affects masqmail Request was from markus schnalke <meillo@marmaro.de> to control@bugs.debian.org. (Sat, 23 Jun 2012 20:03:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#661591; Package ifupdown. (Mon, 25 Jun 2012 18:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Mon, 25 Jun 2012 18:45:06 GMT) Full text and rfc822 format available.

Message #82 received at 661591@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: 661591@bugs.debian.org
Subject: Re: Bug #661591: packages providing ifupdown scripts must have those scripts fixed if needed
Date: Mon, 25 Jun 2012 20:42:38 +0200
[Message part 1 (text/plain, inline)]
affects 661591 - tinc
thanks

I made a minor change in 1.0.19-1 to ignore errors when poking tinc in response
to other interfaces being brought up. Other than that, I cannot see anything
wrong.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Removed indication that 661591 affects tinc Request was from Guus Sliepen <guus@debian.org> to control@bugs.debian.org. (Mon, 25 Jun 2012 18:45:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#661591; Package ifupdown. (Wed, 27 Jun 2012 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Wed, 27 Jun 2012 19:36:03 GMT) Full text and rfc822 format available.

Message #89 received at 661591@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 661591@bugs.debian.org, 661591-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#661591: Bug #661591: packages providing ifupdown scripts must have those scripts fixed if needed
Date: Wed, 27 Jun 2012 21:34:22 +0200
affects #661591 - ifupdown-scripts-zg2
thanks

ifupdown-scripts-zg2 cleanly exits 1 with an error, and exits 0 if
everything is fine.

Greetings
Marc




Removed indication that 661591 affects ifupdown-scripts-zg2 Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. (Wed, 27 Jun 2012 19:36:08 GMT) Full text and rfc822 format available.

Message sent on to "Andrew O. Shadura" <bugzilla@tut.by>:
Bug#661591. (Wed, 27 Jun 2012 19:36:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#661591; Package ifupdown. (Sun, 26 Aug 2012 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ola@inguza.com:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Sun, 26 Aug 2012 18:33:03 GMT) Full text and rfc822 format available.

Message #99 received at 661591@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <ola@inguza.com>
To: 661591@bugs.debian.org
Subject: vzctl checked
Date: Sun, 26 Aug 2012 20:32:20 +0200
Hi

I have checked vzctl and I can not see that it would do something
wrong. However I agree with that it is hard to tell what a
"right exit code" is when there is no definition.

Best regards,

// Ola

-- 
 --- Inguza Technology AB --- MSc in Information Technology ----
/  ola@inguza.com                    Annebergsslingan 37        \
|  opal@debian.org                   654 65 KARLSTAD            |
|  http://inguza.com/                Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---------------------------------------------------------------



Added indication that bug 661591 blocks 700811 Request was from Andrew Shadura <bugzilla@tut.by> to 700811-submit@bugs.debian.org. (Sun, 17 Feb 2013 19:24:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Shadura <andrewsh@debian.org>:
Bug#661591; Package ifupdown. (Thu, 05 Sep 2013 23:00:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Shuler <michael@pbandjelly.org>:
Extra info received and forwarded to list. Copy sent to Andrew Shadura <andrewsh@debian.org>. (Thu, 05 Sep 2013 23:00:09 GMT) Full text and rfc822 format available.

Message #106 received at 661591@bugs.debian.org (full text, mbox):

From: Michael Shuler <michael@pbandjelly.org>
To: 661591@bugs.debian.org
Cc: 661591-submitter@bugs.debian.org
Subject: Re: Bug #661591: packages providing ifupdown scripts must have those scripts fixed if needed
Date: Thu, 05 Sep 2013 17:57:22 -0500
[Message part 1 (text/plain, inline)]
Control: affects 661591 - ifmetric

I checked that the ifmetric if-up script exits 0 on success and 1 on error.

-- 
Kind regards,
Michael Shuler

[signature.asc (application/pgp-signature, attachment)]

Removed indication that 661591 affects ifmetric Request was from Michael Shuler <michael@pbandjelly.org> to 661591-submit@bugs.debian.org. (Thu, 05 Sep 2013 23:00:09 GMT) Full text and rfc822 format available.

Message sent on to "Andrew O. Shadura" <bugzilla@tut.by>:
Bug#661591. (Thu, 05 Sep 2013 23:00:13 GMT) Full text and rfc822 format available.

Removed indication that 661591 affects Request was from Michael Shuler <michael@pbandjelly.org> to 661591-submitter@bugs.debian.org. (Thu, 05 Sep 2013 23:00:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Shadura <andrewsh@debian.org>:
Bug#661591; Package ifupdown. (Wed, 25 Sep 2013 16:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@debian.org>:
Extra info received and forwarded to list. Copy sent to Andrew Shadura <andrewsh@debian.org>. (Wed, 25 Sep 2013 16:51:04 GMT) Full text and rfc822 format available.

Message #118 received at 661591@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@debian.org>
To: 661591@bugs.debian.org
Subject: Does not apply to ifupdown-extra
Date: Wed, 25 Sep 2013 18:44:20 +0200
[Message part 1 (text/plain, inline)]
Control: affects 661591 - ifmetric

I have reviewed the ifupdown-extra scripts and they exit with 0 for success
and 1 on error.

The exit on error is only done on some specific cases (when the user has
asked it this way) so the scripts should not have any issues with ifupdown
now using run-parts.

Regards

Javier
[signature.asc (application/pgp-signature, inline)]

Removed indication that 661591 affects Request was from Javier Fernández-Sanguino Peña <jfs@debian.org> to 661591-submit@bugs.debian.org. (Wed, 25 Sep 2013 16:51:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:46:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.